Author Topic: Dimscale changing  (Read 2846 times)

0 Members and 1 Guest are viewing this topic.

TJ

  • Guest
Dimscale changing
« on: January 27, 2005, 08:00:13 AM »
My dimscale keeps changing from 96.00 to 1.00. What could be happening?

Adesu

  • Guest
Re: Dimscale changing
« Reply #1 on: February 14, 2005, 09:43:08 PM »
Quote from: TJ
My dimscale keeps changing from 96.00 to 1.00. What could be happening?


Hi TJ,check my script,may be can help you

 eso is stand for edit dim scale overall dimension
;       Design by Ade Suharna <mteybid@yuasabattery.co.id>
;       28 September 2004
;       program no. 90/09/2004
;       Edit by
(defun c:eso (/ ent opt)
  (vl-load-com)
  (while
  (setq ent
    (vlax-ename->vla-object
      (car
        (entsel "\nSELECT A DIMENSION: ")))
       ent1 (rtos (vlax-get-property ent "ScaleFactor"))
       opt
    (getstring
      (strcat "\nENTER NEW SCALE FACTOR" "<" ent1 ">" ": ")))
  (vla-put-ScaleFactor ent opt)
  )
  (princ)
  )

ronjonp

  • Needs a day job
  • Posts: 7529
Dimscale changing
« Reply #2 on: February 15, 2005, 09:46:56 AM »

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

PDJ

  • Guest
Dimscale changing
« Reply #3 on: February 15, 2005, 01:28:45 PM »
Would you happen to be using LDD??  I had this same problem.  It was in the drawing setup in LDD.  Everytime I'd close a drawing and come back, it would revert back to what the setup told it to be.

qwrtz

  • Newt
  • Posts: 22
Re: Dimscale changing
« Reply #4 on: August 25, 2017, 07:23:40 PM »
I like Adesu's custom command, above, that changes the ScaleFactor of a dimension entity using the command line instead of the Properties palette.

Can anyone tell me how to modify it to operate on a selection set instead of on a series of individually selected entities?

Thank you, Adesu, and anyone who can answer this.

fools

  • Newt
  • Posts: 72
  • China
Re: Dimscale changing
« Reply #5 on: August 26, 2017, 12:51:17 AM »
Qwrtz, the following code can operate on a selection set.
Code - Auto/Visual Lisp: [Select]
  1. (DEFUN c:DIMS (/ n ssg scale)
  2.   (SETQ ssg (SSGET '((0 . "DIM*"))))
  3.   (initget 6)
  4.   (IF (not (SETQ scale (GETREAL (STRCAT "\nENTER NEW SCALE FACTOR < " (RTOS (GETVAR 'dimscale)) " >: "))))
  5.     (setq scale (GETVAR 'dimscale))
  6.   )
  7.   (IF ssg
  8.     (REPEAT (SETQ n (SSLENGTH ssg))
  9.       (VLA-PUT-SCALEFACTOR (VLAX-ENAME->VLA-OBJECT (SSNAME ssg (SETQ n (1- n)))) scale)
  10.     )
  11.   )
  12.   (princ)
  13. )
« Last Edit: August 26, 2017, 12:56:31 AM by fools »
Good good study , day day up . Sorry about my Chinglish .

qwrtz

  • Newt
  • Posts: 22
Re: Dimscale changing
« Reply #6 on: August 26, 2017, 05:16:13 PM »
Thanks very much, Fools. I've been studying what you did and I learned a lot.

fools

  • Newt
  • Posts: 72
  • China
Re: Dimscale changing
« Reply #7 on: August 27, 2017, 08:54:03 AM »
qwrtz, learn from each other and encourage each other. :laugh:
Good good study , day day up . Sorry about my Chinglish .